<?php 
function ar_custom_header_setup() {
    $args = array( 
        'default-text-color' => 'fff',
        'default-image' => '',
        'height' => 250,
        'width' => 960,
        'max-width' => 2000,
        'flex-height' => true,
        'flex-width' => true,
        'random-default' => true,
        'wp-head-callback' => 'ar_header_style',
        'admin-head-callback' => 'ar_admin_header_style',
        'admin-preview-callback' => 'ar_admin_header_image',
    );
    add_theme_support( 'custom-header', $args );
}
add_action( 'after_setup_theme', 'ar_custom_header_setup' );

function ar_header_style() {
    $text_color = get_header_textcolor();
    if ( $text_color == get_theme_support( 'custom-header', 'default-text-color' ) )
        return; ?>
    <style type="text/css">
    <?php if ( ! display_header_text() ) : ?>
        .blog-title,
        .blog-description {
            display: none;
        }
    <?php else : ?>
        .blog-title a,
        .blog-description {
            color: #<?php echo $text_color; ?> !important;
        }
    <?php endif; ?>
    </style>
<?php }
function ar_admin_header_style() { ?>
    <style type="text/css">
        .appearance_page_custom-header #headimg {
            border: 0;
        }
        
        #headimg .blog-title,
        #headimg .blog-description {
            line-height: 1.6;
            margin: 0;
            padding: 0;
        }
        
        #headimg .blog-title {
            font-size: 30px;
        }
        
        #headimg .blog-title a {
            color: #fffbe1;
            text-decoration: none;
        }

        #headimg .blog-title a:hover {
            color: #fbfeff;
        }

        #headimg .blog-description {
            color: #fbfeff;
            font: normal 1em/1.6 PTSansRegular, verdana, sans-serif;
            margin-bottom: 24px;
        }
        
        #headimg img {
            max-width: <?php echo get_theme_support( 'custom-header', 'max-width' ); ?>px;
        }
    </style>
<?php }

function ar_admin_header_image() { ?>
    <div id="headimg">
        <?php if ( ! display_header_text() ) 
            $style = ' style="display: none;"';
        else 
            $style = ' style="color:#' . get_header_textcolor() . ';"'; ?>
        <div class="blog-title"><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_attr( get_bloginfo( 'name' ) ); ?></a></div>
        <div class="blog-description"<?php echo $style; ?>><?php bloginfo( 'description' ); ?></div>
        <?php $header_image = get_header_image();
        if ( ! empty( $header_image ) ) : ?>
            <img src="<?php echo esc_url( $header_image); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="">
        <?php endif; ?>
    </div>
<?php }